Subject: Re: Compile error pine 3.95

From: [email-masked] (Tim Mooney)
Date: 24 Jul 1996 18:49:52 -0500

In article <[email-masked]>,
Robert Benites <[email-masked]> wrote:

> Perhaps someone else has seen the following error, I used the command 
> "build osf" command to build pine 3.95 under Digital UNIX 3.2C. I get
> the output at the bottom of this message during the compile, anyone 
> seen this problem?
  
[deleted]

> ar rc c-client.a mail.o bezerk.o mtx.o tenex2.o mbox.o mh.o mmdf.o imap2.o pop3.o  news.o nntpcunx.o phile.o dummy.o smtp.o nntp.o rfc822.o misc.o  osdep.o sm_unix.o newsrc.o
> ar:  error writing archive member contents: No such file or directory
> *** Exit 1
> Stop.
> *** Exit 1
> Stop.
> *** Exit 1
> Stop.
> *** Exit 1
> Stop.

This is often a problem when there isn't enough space in /tmp for ar to do
all its work.  See the man page for `ar', specifically the `l' (that's an `L')
option.  This may solve your problem.
  
> ln -s osdep/os-osf.h os.h
> ./cmplhlp2.sh  < pine.hlp > helptext.h
> cc   -g -DDEBUG  -D_BSD -DSYSTYPE=\"OSF\" -DMOUSE -c addrbook.c
> ugen: internal: binasm decls write error
> *** Exit 1
> Stop.

I haven't seen that before.  I just tried it on a 2100 running 3.2c and it
compiles.  If you have software support, you may want to check into getting
patches for some of the /usr/ccs tools.

Tim

-- 
Tim Mooney                              [email-masked]
Information Technology Services         (701) 231-1076 (Voice)
Room 242-J6, IACC Bldg.                 (701) 231-8541 (FAX)
North Dakota State University, Fargo, ND 58105